<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for Config->Pricelist->editor
 * used from pricelist.page.editor.php
 * 
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{page_title}</h2>
<div class="form">
	{Form_Start}
	<dl>
		<dt>{id}</dt>
		<dd>{idx}</dd>
	</dl>

	<dl>
		<dt><label for="namex">{name}</label></dt>
		<dd>{namex}{namexHelp}</dd>
	</dl>

	<dl>
		<dt><label for="artx">{art}</label></dt>
		<dd>{artx}</dd>
	</dl>

	<dl>
		<dt><label for="pricex">{price}</label></dt>
		<dd>{pricex}{pricexHelp}</dd>
	</dl>

	<dl>
		<dt><label for="pricefixx">{pricefix}</label></dt>
		<dd>{pricefixx}{pricefixxHelp}</dd>
	</dl>

	<dl>
		<dt><label for="pricelistx">{pricelist}</label></dt>
		<dd>
			<div class="txtarea">
				{pricelistx}
			</div>
		</dd>
	</dl>	

	<dl class="submit">
		{btn_save}
		{btn_abort}
	</dl>

	<dl>
		{pricelisttextHelp}
	</dl>

	{Form_End}
</div>