<?php
if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create order page
 * used from orders.page.table.php
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2016
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{page_titel}</h2>

<div>
   <div class="right tcalDate">
      <p id="fHeader">{filterTop}</p>
      <form method="post">
         <p class="setDate">{from}<br>
            {fromx}
            <br>
         </p>
         <p class="setDate">{to}<br>
            {tox}
            <br>
         </p>
         <br>
         <p id="headerStatus">
            {filterStatus}
         </p>
         <p id="checkbox">
            {unknownx}<br>
            {confirmedx}<br>
            {shipsx}<br>
            {paidx}<br>
            {reklamtionx}<br>
            {canceledx}<br>
            {othersx}<br>
         </p>
         <dl class="submit">
         <p id="buttonPdf">
            {btnFilter}<br>
            {btnAll}<br>
            {btnPrint}
         </p>
         </dl>
      </form>
   </div>
   <div class="left">
      <form class="niceform fieldset category" method="post">
         <fieldset>
            <table id="rounded-corner-category" summary="{table_summary}">
               <!-- column-with  max table width: 625px-->
               <colgroup>
                  <col width="55">
                  <col width="230">
                  <col width="230">
                  <col width="60">
                  <col width="60">
                  <col width="130">
               </colgroup>

               <thead>
                  <tr>
                     <th scope="col" class="rounded-company">{orderer_id}</th>
                     <th scope="col" class="rounded">{orderer_name}</th>
                     <th scope="col" class="rounded">{orderer_company}</th>
                     <th scope="col" class="rounded">{orderer_date}</th>
                     <th scope="col" class="rounded-q4">{orderer_status}</th>
                  </tr>
               </thead>

               <tfoot>
                  <tr>
                     <td colspan="5" class="rounded-foot-left">
                        <div class="pagination">
                           <a href="{urlPageFirst}">{txtPageFirst}</a>
                           <a href="{urlPagePrev}">{txtPagePrev}</a>

                           <!-- BEGIN urlPageP -->
                           <a href="{url}">{text}</a>
                           <!-- END urlPageP -->

                           <span class="current">{nrPageC}</span>

                           <!-- BEGIN PageN -->
                           <a href="{url}">{text}</a>
                           <!-- END PageN -->

                           <a href="{urlPageNext}">{txtPageNext}</a>
                           <a href="{urlPageLast}">{txtPageLast}</a>
                        </div>	
                     </td>
                  </tr>
               </tfoot>

               <tbody>
                  <!-- BEGIN data -->
                  <tr>
                     <td><div align="right">{orderer_idx}</div></td>
                     <td>{orderer_namex}</td>
                     <td>{orderer_companyx}</td>
                     <td><div align="center">{orderer_datex}</div></td>
                     <td><div align="center">{orderer_statusx}</div></td>
                  </tr>
                  <!-- END data -->
               </tbody>
            </table>

            <dl>
               {ordererPageHelp}
            </dl>
         </fieldset>
      </form>
   </div>

</div>
<div class="clear"></div>