<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create imagefile editor page
 * used from images.page.php
 *
 * @version    $Id: images.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<h3>{header}</h3><br><br><br>
<div id="fileMain">
	<div>
		<div id="caption">
			{actualPath}
		</div>
		<div id="icon">
			&nbsp;
		</div>
		<div class="clear">
		</div>
	</div>

	<div id="result">
		<table width="100%">
			<tr>
				<td colspan='2'>
					<img src="template/images/file.image/dirup.gif" width="16" height="16" alt="up" />
					<a href="{sPath}">{sPathLabel}</a>
				</td>
			</tr>

			<!-- IF dirList --> 
			<!-- BEGIN dirList -->
			<tr>
				<td>
					<img src="{icon}" width="16" height="16" alt="file" />
					<a href="{fileName}">{fileNamex}</a>
				</td>
				<td align='right'>
					{date}
				</td>
				<td align='right'>
					{fileSize}
				</td>
				<td>
					<a href="{fileDelete}">
						<img src="template/images/file.image/delete.gif" width="16" height="16" alt="delete" />
					</a>
				</td>
			</tr>
			<!-- END dirList -->
			<!-- ENDIF dirList -->
			<!-- IF imageDisplay -->

			<tr>
				<td colspan='2'>
					<img src="{imageDisplay}" alt="file" />
				</td>
			</tr>
			<!-- ENDIF imageDisplay -->
		</table>
	</div>
	<!-- IF dirList -->
	<form action="{formStart}" method="post" class="" enctype="multipart/form-data">
		<fieldset>
			<label for="imagex">{image}</label>&nbsp;
			{imagex}&nbsp;
			{btnSave}&nbsp;
			<br><br>
			<label for="dirx">{dir}</label>&nbsp;
			{dirx}&nbsp;
			{btnDir}
		</fieldset>
	</form>
	<!-- ENDIF dirList -->
</div>


