<?php
if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for Article->Article->Editor
 * used from article.page.editor.php
 * 
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3  
 */
?>

<form action="{formStartFindP}" method="post" id="findList" enctype="multipart/form-data">
   <fieldset style="border: 0px;">
      <!-- IF ifFound -->
      <h1>{header}</h1><br>
      <p>
         {findText} : {findTextx}		
      </p>

      <!-- Linklist -->

      <table id="findTable" summary="{tableSummary}">
         <colgroup>
            <col width="30%">
            <col width="60%">					
         </colgroup>

         <thead>
            <tr>
               <th>{sku}</th>
               <th>{name}</th>
            </tr>
         </thead>

         <tbody>
            <!-- BEGIN findListx -->
            <tr>
               <td>{skux}</td>
               <td class="hitcol">{namex}</td>
            </tr>
            <!-- END findListx -->
         </tbody>				
      </table>
      <!-- ELSE -->
      <h1>{SearchFail}</h1><br>
      <p>
         {findText} : {findTextx}		
      </p>

      <p>
        <label for="name">Suchbegriff:</label>
				<input type="text" name="findTextx" id="findTextx" size="35" value="{findTextx}" />
      </p>

      <!-- ENDIF ifFound -->
   </fieldset>    
</form>

