<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Page Config->Price list
 * Edit Prices for article
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $subpage, $refValidate) {
   $refPage->assign('messagebox', '');

   if (isset($_GET['func']))
   {
      if ($refValidate->cleanslash($_GET['func']) === 'edit')
      { // edit tax
         $pagefile = 'module/page/' . $page . '/pricelist.page.editor.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      elseif ($_GET['func'] === 'pagi')
      {
         $number = intval($_GET['nr']);
         $_SESSION['pageP'] = $number;

         $pagefile = 'module/page/' . $page . '/pricelist.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
   }
   else if (isset($_REQUEST['submit']))
   {
      if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save'))
      { // Save values from Form
         $pagefile = 'module/page/' . $page . '/pricelist.page.save.php';
         if (is_file($pagefile))
            include_once $pagefile;

         $pagefile = 'module/page/' . $page . '/pricelist.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Delete'))
      { // Delete marked Data
         foreach ($_POST['marker'] as $idx)
         {
            $idx = $refValidate->cleanslash($idx);
            db::getInstance()->where('product_price_id', $idx);
            $result = db::getInstance()->getone('product');

            if (db::getInstance()->count > 0)
            {
               db::getInstance()->where('price_id', $idx);
               $result2 = db::getInstance()->getone('price');
               message::setErrorRow($result2['price_name'] . _(' in use from ') .
                       $result['product_name'] . ' (Id=' . $result['product_id'] .
                       ')<br>' . _('Could not be deleted!'), true);
            }
            else
            {
               db::getInstance()->where('price_id', $idx);
               $result2 = db::getInstance()->getone('price');
               db::getInstance()->where('price_id', $idx);
               if (db::getInstance()->delete('price'))
                  message::setNoteRow($result2['price_name'] .
                          ' ' . _('(Deleted)'), FALSE);
               else
                  message::setErrorRow($result2['price_name'] . ' - ' .
                          _('Could not be deleted!'), FALSE);
            }
         }
         $pagefile = 'module/page/' . $page . '/pricelist.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('New'))
      { // Create new Datarow and open Editor
         $data = Array('price_name' => _('New Price'));
         $id = db::getInstance()->insert("price", $data);
         db::getInstance()->where('price_name', _('New Price'));
         $result = db::getInstance()->getOne('price');

         $_GET['id'] = $result['price_id'];
         $pagefile = 'module/page/' . $page . '/pricelist.page.editor.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Cancel'))
      { // browse measure
         $pagefile = 'module/page/' . $page . '/pricelist.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
   }
   else
   { // browse measure
      $pagefile = 'module/page/' . $page . '/pricelist.page.table.php';
      if (is_file($pagefile))
         include_once $pagefile;
   }
}

?>