<?php

if (!defined('TOBBIVM'))
	header('location:/admin/template/notepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Verify and save data from measure-editorpage
 *
 * @author Norbert Gebert
 * @copyright Norbert Gebert 25.09.2011
 * @license GPL3
 *
 * @version 0.5b
 * @package Admin
 * @subpackage page
 */
$mysqlBuffer = '';
// Test of exist record
$idx = $refValidate->testNumber($_POST['idx'], '');
$namex = $refValidate->cleanslash($_POST['namex'], '');
$lengthx = $refValidate->cleanslash($_POST['lengthx'], '');
$widthx = $refValidate->cleanslash($_POST['widthx'], '');
$heightx = $refValidate->cleanslash($_POST['heightx'], '');
$weightx = $refValidate->cleanslash($_POST['weightx'], '');

if (!$idx or !$namex or !$lengthx or !$widthx or !$heightx or !$weightx)
{
	message::setErrorRow(_('Submitted Data are wrong format or invalid.') . '<br>' .
		_('No data could be saved!'), TRUE);
}
else
{
	db::getInstance()->where('mass_id', $idx);
	$result = db::getInstance()->getOne('mass');

	if (db::getInstance()->count >= 1)
	{
		$data = Array(
		 'mass_name' => $namex,
		 'mass_length' => str_replace(',', '.', $lengthx),
		 'mass_width' => str_replace(',', '.', $widthx),
		 'mass_height' => str_replace(',', '.', $heightx),
		 'mass_weight' => str_replace(',', '.', $weightx));
		db::getInstance()->where('mass_id', $idx);

		if (db::getInstance()->update('mass', $data))
			message::setNoteRow(_('The data was successful saved.'), true);
	}
	else
	{
		message::setErrorRow(_('No data could be saved!'), TRUE);
	}
}
?>