<?php
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template-Startpage
 *
 * @version    $Id: index.tpl.php 33 2018-08-23 11:50:26Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>{index_tpl_titel}</title>
		
		<link rel="stylesheet" type="text/css" href="{tpl_css}style.css" />
		<link rel="stylesheet" type="text/css" href="{tpl_css}file.images.css" />
      <link rel="stylesheet" type="text/css" href="{tpl_css}tcal.css" />
      <link rel="stylesheet" type="text/css" href="{tpl_css}content.css" />
		
		<script type="text/javascript" src="{tpl_js}jquery.min.js"></script>
		<script type="text/javascript" src="{tpl_js}ddaccordion.js"></script>
		<script language="JavaScript" src="module/js/qTip.js" type="text/JavaScript"></script>
		<script type="text/javascript">ddinit();</script>

		<script type="text/javascript" src="{tpl_js}jconfirmaction.jquery.js"></script>
		<script type="text/javascript">

			$(document).ready(function() {
				$('.ask').jConfirmAction();
			});

		</script>

		<link rel="stylesheet" type="text/css" media="all" href="{tpl_css}niceforms-default.css" />
		<script language="javascript" type="text/javascript" src="{tpl_js}niceforms.js"></script>
		{scripts}
	</head>
	<body>
		
		<div id="main_container">
		<div class="header">
				<div class="logo"><a href="#"><img src="{tpl_img}logo.gif" alt="" title="<b>TobbiVM-Shop</b>" border="0" /></a></div>

				<div class="right_header">{index_tpl_Welcome} | {index_tpl_LogoutLink}</div>

			</div>	

			<div class="main_content">
				<!-- INCLUDE topmenu.tpl.php -->

				<div class="center_content">

					<div class="left_content">

						<!-- iNCLUDE search.tpl.php -->

						<!-- INCLUDE leftmenu.tpl.php -->

						<!-- sidebarbox -->

					</div>

					<div class="right_content">
						<!-- IF errorText --> {errorText}</br> <!-- ENDIF errorText -->
						<!-- IF warningText --> {warningText}</br> <!-- ENDIF warningText -->
						<!-- IF noteText --> {noteText}</br> <!-- ENDIF noteText -->
						
						{content}</br>

						

					</div><!-- end of right content-->

				</div>   <!--end of center content -->

				<div class="clear"></div>
			</div> <!--end of main content-->

			<div class="footer">
				<!-- INCLUDE footer.tpl.php -->
			</div>

		</div>
	</body>
</html>