/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * CKEditor-config for the static pages
 */   
for(name in CKEDITOR.instances)
{
	CKEDITOR.instances[name].destroy()
}
var roxyFileman = '/admin/module/fileman/index.html'; 

CKEDITOR.replace( 'textx', {
  filebrowserBrowseUrl:roxyFileman,
  filebrowserImageBrowseUrl:roxyFileman+'?type=image',
  removeDialogTabs: 'link:upload;image:upload',

  width: '480px',
	height: '250px',


	toolbar :
	[
	{
		name: 'document', 
		items : [ 'Preview','Print' ]
	},
	
	{
		name: 'clipboard', 
		items : [ 'Cut','Copy','Paste', '-','Undo','Redo' ]
	},
	{
		name: 'editing', 
		items : [ 'Find','Replace','-','SelectAll','-','SpellChecker' ]
	},
	
	{
		name: 'tools', 
		items : [ 'Maximize', '-','About' ]
	}
	]      
	  
}
);