<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * filter input variables and on error send
 * a message to teh message-class
 * 
 * @since 0.1.0
 * @version 0.1.3
 * @package TobbiVM-Shop
 * @copyright Copyright (C) 2018
 * @license GPL3
 * @category frontend
 * @package global
 * @subpackage global
 * $Rev: 21 $
 * $Date: 2018-07-20 22:22:37 +0200 (Fr, 20. Jul 2018) $
 * $Author: norbert-neo $
 * $URL: https://svn.code.sf.net/p/tobbivm/code/trunk/module/class/filter.class.php $
 */

/**
 * Filter given variables with self defined rules
 * and sets a message, if setting
 */
class filter
{

   public function __construct() {
      
   }

   /**
    * 
    * @param string $varName name of $_GET-variable
    * @param string $message textmessage if return = FALSE
    * @return int|boolean value of $_GET-variable or false if error
    */
   public static function valGetInt($varName, $message = '') {
      $var = FILTER_INPUT(INPUT_GET, $varName, FILTER_VALIDATE_INT);
      if ($var == FALSE && !empty($message))
      {
         message::setErrorRow(_('Value out of range: ') . $message);
         return false;
      }
      return $var;
   }

}
